pepperflashplugin-nonfree does not work

Bug #1398145 reported by Mariusz Jaskółka on 2014-12-01
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Linux Mint
New
Undecided
Unassigned
pepperflashplugin-nonfree (Ubuntu)
Undecided
Unassigned

Bug Description

1) The version and edition of Linux Mint you are using (if you are not sure, open a terminal and run "mintwelcome").
Mint Cinnamon 17.1

2) What you did for the problem to happen, and how to reproduce it.
Just install pepperflashplugin-nonfree package

3) What happened.
The installation process finishes with 0 exit statuss but flash (pepperflash) does not work in chromium. The output contains following suboutput:
ERROR: wget failed to download http://people.debian.org/~bartm/pepperflashplugin-nonfree/latest-stable-verified.txt

It's weird because simple command:
wget http://people.debian.org/~bartm/pepperflashplugin-nonfree/latest-stable-verified.txt
downloads file without error.

Here I've read that this problem has been fixed in version 1.6:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758609
The repository version is 1.3ubuntu1 :(

4) What you expected to happen instead.
Working pepperflash plugin in chromium.

5) If the problem happened once, sometimes, or always.
always

Joel Lisenby (sven-svenagen) wrote :

I am having the same issue with Ubuntu 14.04

$ sudo apt-get install pepperflashplugin-nonfree --reinstall
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/10.1 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 355345 files and directories currently installed.)
Preparing to unpack .../pepperflashplugin-nonfree_1.3ubuntu1_amd64.deb ...
Unpacking pepperflashplugin-nonfree (1.3ubuntu1) over (1.3ubuntu1) ...
Setting up pepperflashplugin-nonfree (1.3ubuntu1) ...
ERROR: wget failed to download http://people.debian.org/~bartm/pepperflashplugin-nonfree/latest-stable-verified.txt
More information might be available at:
  http://wiki.debian.org/PepperFlashPlayer
$

Vlad Orlov (monsta) on 2015-03-15
affects: ubuntu → pepperflashplugin-nonfree (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pepperflashplugin-nonfree (Ubuntu):
status: New → Confirmed
B. C. Schmerker (bcschmerker) wrote :

I have more detail on this issue. Reproduced as follows in Ubuntu 16.03b2 (will also apply to 16.04rc and/or 16.04.0-LTS when released) using sudo apt-get install pepperflashplugin-nonfree:
---
ERROR: failed to retrieve status information from google : W: Can't drop privileges for downloading as file './var/lib/apt/lists/partial/dl.google.com_linux_chrome_deb_dists_stable_InRelease' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1)
More information might be available at:
  http://wiki.debian.org/PepperFlashPlayer
---

Julian Alarcon (julian-alarcon) wrote :

There is a workaround

Even if the installation show an error, use this command in a terminal:

sudo update-pepperflashplugin-nonfree --install

It will download and install the plugin.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers